Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZ\Publish\API\Repository\Values\Content\Query\Criterion\DateMetadata Class Reference

A criterion that matches content based on one of the date metadata (created or modified). More...

Inheritance diagram for eZ\Publish\API\Repository\Values\Content\Query\Criterion\DateMetadata:

## Public Member Functions
| __construct ($target, $operator, $value)
| Creates a new DateMetadata criterion on $metadata. More...
| getSpecifications ()
| Criterion description function. More...
Public Member Functions inherited from eZ\Publish\API\Repository\Values\Content\Query\Criterion
| __construct ($target, $operator, $value, Value $valueData=null)
| Performs operator validation based on the Criterion specifications returned by {. More...

## Public Attributes
const | MODIFIED = 'modified'
| DateMetadata target: modification date. More...
const | CREATED = 'created'
| DateMetadata target: creation date. More...
Public Attributes inherited from eZ\Publish\API\Repository\Values\Content\Query\Criterion
| $operator
| $value
| $target
| $valueData

## Additional Inherited Members
Static Public Member Functions inherited from eZ\Publish\API\Repository\Values\Content\Query\Criterion
static | createFromQueryBuilder ($target, $operator, $value)

## Detailed Description

A criterion that matches content based on one of the date metadata (created or modified).

Supported Operators: EQ, IN: matches content whose date is or belongs to a list of timestamps GT, GTE: matches content whose date is greater than/greater than or equals the given timestamp LT, LTE: matches content whose date is lower than/lower than or equals the given timestamp BETWEEN: matches content whose date is between (included) the TWO given timestamps

Example: `$createdCriterion = new Criterion\DateMetadata( Criterion\DateMetadata::CREATED, Operator::GTE, strtotime( 'yesterday' ) );`

Definition at line 31 of file API/Repository/Values/Content/Query/Criterion/DateMetadata.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\API\Repository\Values\Content\Query\Criterion\DateMetadata::__construct | ( |  | $target,
|  |  | $operator,
|  |  | $value
| ) |  |

Creates a new DateMetadata criterion on $metadata.

Exceptions

Definition at line 52 of file API/Repository/Values/Content/Query/Criterion/DateMetadata.php.

References eZ\Publish\API\Repository\Values\Content\Query\Criterion\$operator, eZ\Publish\API\Repository\Values\Content\Query\Criterion\$target, and eZ\Publish\API\Repository\Values\Content\Query\Criterion\$value.

## Member Function Documentation

## ◆ getSpecifications()

eZ\Publish\API\Repository\Values\Content\Query\Criterion\DateMetadata::getSpecifications | ( |  | ) |

Criterion description function.

Returns the combination of the Criterion's supported operator/value, as an array of eZ\Publish\API\Repository\Values\Content\Query\Criterion\Operator\Specifications objects

- Operator is one supported Operator, as an Operator::* constant
- ValueType is the type of input value this operator requires, either array or single
- SupportedTypes is an array of types the operator will accept
- ValueCountLimitation is an integer saying how many values are expected.

`// IN and EQ are supported return [ // The EQ operator expects a single value, either as an integer or a string new Specifications( Operator::EQ, Specifications::FORMAT_SINGLE, Specifications::TYPE_INTEGER | Specifications::TYPE_STRING ), // The IN operator expects an array of values, of either integers or strings new Specifications( Operator::IN, Specifications::FORMAT_ARRAY, Specifications::TYPE_INTEGER | Specifications::TYPE_STRING ) ]`

Returns
  \eZ\Publish\API\Repository\Values\Content\Query\Criterion\Operator\Specifications[]

Reimplemented from eZ\Publish\API\Repository\Values\Content\Query\Criterion.

Definition at line 60 of file API/Repository/Values/Content/Query/Criterion/DateMetadata.php.

References eZ\Publish\API\Repository\Values\Content\Query\Criterion\Operator\BETWEEN, eZ\Publish\API\Repository\Values\Content\Query\Criterion\Operator\EQ, eZ\Publish\API\Repository\Values\Content\Query\Criterion\Operator\Specifications\FORMAT_ARRAY, eZ\Publish\API\Repository\Values\Content\Query\Criterion\Operator\Specifications\FORMAT_SINGLE, eZ\Publish\API\Repository\Values\Content\Query\Criterion\Operator\GT, eZ\Publish\API\Repository\Values\Content\Query\Criterion\Operator\GTE, eZ\Publish\API\Repository\Values\Content\Query\Criterion\Operator\IN, eZ\Publish\API\Repository\Values\Content\Query\Criterion\Operator\LT, eZ\Publish\API\Repository\Values\Content\Query\Criterion\Operator\LTE, and eZ\Publish\API\Repository\Values\Content\Query\Criterion\Operator\Specifications\TYPE_INTEGER.

## Member Data Documentation

## ◆ CREATED

const eZ\Publish\API\Repository\Values\Content\Query\Criterion\DateMetadata::CREATED = 'created'

DateMetadata target: creation date.

Definition at line 41 of file API/Repository/Values/Content/Query/Criterion/DateMetadata.php.

## ◆ MODIFIED

const eZ\Publish\API\Repository\Values\Content\Query\Criterion\DateMetadata::MODIFIED = 'modified'

DateMetadata target: modification date.

Definition at line 36 of file API/Repository/Values/Content/Query/Criterion/DateMetadata.php.

The documentation for this class was generated from the following file:

- API/Repository/Values/Content/Query/Criterion/DateMetadata.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.